Bug 1080167 - CVE-2014-2497 php: gd: NULL pointer dereference in gdImageCreateFromXpm() [fedora-all]
Summary: CVE-2014-2497 php: gd: NULL pointer dereference in gdImageCreateFromXpm() [fe...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2014-2497
TreeView+ depends on / blocked
 
Reported: 2014-03-24 19:39 UTC by Tomas Hoger
Modified: 2014-09-02 06:47 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-02 06:47:46 UTC


Attachments (Terms of Use)
In fedora 19 is libgd bundled. In fedora 20 and later, should be patch for libgd enough. (616 bytes, patch)
2014-07-17 14:15 UTC, Jozef Mlich
no flags Details | Diff

Description Tomas Hoger 2014-03-24 19:39:58 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2014-03-24 19:40:11 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1076676,1080167

Comment 2 Fedora Admin XMLRPC Client 2014-07-16 12:03:27 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Update System 2014-07-17 07:49:30 UTC
gd-2.1.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gd-2.1.0-6.fc20

Comment 4 Jozef Mlich 2014-07-17 14:15:45 UTC
Created attachment 918731 [details]
In fedora 19 is libgd bundled. In fedora 20 and later, should be patch for libgd enough.

I didn't tested that patch yet.

Comment 5 Fedora Update System 2014-07-19 05:55:12 UTC
Package gd-2.1.0-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gd-2.1.0-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8458/gd-2.1.0-6.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-08-15 02:31:50 UTC
gd-2.1.0-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Tomas Hoger 2014-08-15 06:48:58 UTC
This bug is against php component, which has embedded copy of gd.  It should not have been referenced in gd updates.

Comment 8 Jozef Mlich 2014-08-18 09:10:45 UTC
The embedded copy is used only in fedora 19. See part of specfile:

# build with system libgd
%if 0%{?fedora} < 20
%global  with_libgd 0
%else
%global  with_libgd 1
%endif

I will update the fix according to upstream patch yet. Current solution could cause some memory leaks.

Comment 9 Fedora Update System 2014-08-23 05:44:21 UTC
php-5.5.16-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2014-9679/php-5.5.16-1.fc19

Comment 10 Fedora Update System 2014-09-02 06:47:46 UTC
php-5.5.16-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.